On this page

DeleteASRStream

2026-07-13
POST

https://cloud-realtime-asr-api.zegotech.cn/

Delete the specified stream from the ASR task. Only effective when the RecognitionRange parameter is set to 1.

Request

Query Parameters

    Action stringrequired

    Possible values: [DeleteASRStream]

    API prototype parameter

    https://cloud-realtime-asr-api.zegotech.cn?Action=DeleteASRStream

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    Common parameter. 16-bit hexadecimal random string (hex encoding of 8 bytes of random number). For generation algorithm, refer to Signature Example.

    Timestamp int64required

    Common parameter. Current Unix timestamp, in seconds. For generation algorithm, refer to Signature Example, maximum allowed deviation of 10 minutes.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    Signature stringrequired

    Common parameter. Signature, used to verify the legitimacy of the request. Please refer to Signature Mechanism to generate.

Body

required
    TaskId stringrequired

    Unique identifier of the task.

    StreamId stringrequired

    The stream ID to be recognized.

    Sequence int64

    Request sequence number, used to guarantee the ordering of add and delete operations on the same stream. The backend only processes the request with the latest Sequence. If not set, requests are processed in the order received by the backend.

    📌 Important The Sequence values for AddASRStream and DeleteASRStream must be sequential. For example:

    1. AddASRStream(Sequence:1)
    2. DeleteASRStream(Sequence:2)
    3. AddASRStream(Sequence:3)
    4. DeleteASRStream(Sequence:4)
    5. ...

Responses​

Delete stream success
Schema
    Code integer

    Return code. 0 indicates success; other values indicate failure. For details, refer to Return Codes.

    Message string

    Request result description.

    RequestId string

    Request ID.

Previous

Add ASR Stream

Next

Receiving Callbacks

On this page

Back to top